Page MenuHomePhabricator

fix openssl deprecation warnings
Closed, ResolvedPublic

Description

In file included from lib/ecore_con/efl_net_ssl_context.c:84:0:
lib/ecore_con/efl_net_ssl_ctx-openssl.c: In function ‘efl_net_ssl_ctx_setup’:
lib/ecore_con/efl_net_ssl_ctx-openssl.c:270:15: warning: ‘SSLv3_client_method’ is deprecated [-Wdeprecated-declarations]
               ctx->ssl_ctx = SSL_CTX_new(SSLv3_client_method());
               ^~~
In file included from /usr/include/openssl/opensslconf.h:42:0,
                 from /usr/include/openssl/ct.h:13,
                 from /usr/include/openssl/ssl.h:61,
                 from lib/ecore_con/efl_net_ssl_ctx-openssl.c:1,
                 from lib/ecore_con/efl_net_ssl_context.c:84:
/usr/include/openssl/ssl.h:1604:1: note: declared here
 DEPRECATEDIN_1_1_0(__owur const SSL_METHOD *SSLv3_client_method(void)) /* SSLv3 */
 ^
In file included from lib/ecore_con/efl_net_ssl_context.c:84:0:
lib/ecore_con/efl_net_ssl_ctx-openssl.c:308:15: warning: ‘SSLv3_server_method’ is deprecated [-Wdeprecated-declarations]
               ctx->ssl_ctx = SSL_CTX_new(SSLv3_server_method());
               ^~~
In file included from /usr/include/openssl/opensslconf.h:42:0,
                 from /usr/include/openssl/ct.h:13,
                 from /usr/include/openssl/ssl.h:61,
                 from lib/ecore_con/efl_net_ssl_ctx-openssl.c:1,
                 from lib/ecore_con/efl_net_ssl_context.c:84:
/usr/include/openssl/ssl.h:1603:1: note: declared here
 DEPRECATEDIN_1_1_0(__owur const SSL_METHOD *SSLv3_server_method(void)) /* SSLv3 */
 ^

Related Objects

zmike created this task.Nov 8 2017, 9:06 AM
zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:56 AM
bu5hm4n raised the priority of this task from TODO to High.Jun 11 2018, 8:56 AM
bu5hm4n edited projects, added efl: networking; removed Restricted Project.
netstar claimed this task.Jun 20 2018, 2:25 AM

I'm not 100% certain this is what you want to happen.

https://phab.enlightenment.org/D6334

netstar closed this task as Resolved.Jun 20 2018, 6:28 AM

This should have been the commit message:

ecore_con: replace SSLv3 usage with TLS.

SSLv3 is deprecated. Using SSLv3 will have the same effect
as v2. Now using TLS in creation of server and client in
ecore_con. This was causing compiler warnings, but SSLv3
is also deemed insecure.

@fix T6342

See: d1cbd161bdf1bcb9c0c8429210647245a31559a4